var wx = require('weixin-js-sdk')
import axios from 'axios'
import apiList from './apiList'
import myAxios from './index'
import {
    Toast
} from 'vant'

// 微信分享方法

const share = (param) => {
    Toast.loading({
        message: "加载中...",
        duration: 1000, //持续展示 toast
    })
    const successCall = (res) => {
        console.log('res', res)
        Toast.clear()
        let result = res.conf
        // let result = res.data
        // let {
        //     wxConfig,
        //     shareCircle,
        //     shareFriend
        // } = result

        wx.config({
            debug: false,
            appId: result.appId,
            timestamp: result.timestamp,
            nonceStr: result.nonceStr,
            signature: result.signature,
            jsApiList: result.jsApiList
        })

        const hideMenuItems = [
            'menuItem:openWithSafari', // 在Safari中打开
            'menuItem:openWithQQBrowser', // 在QQ浏览器中打开
            'menuItem:share:qq', // 分享qq
            'menuItem:share:QZone', // 分享到 QQ 空间
            'menuItem:share:brand', // 一些特殊公众
            'menuItem:setFont', // 调整字体
            'menuItem:dayMode', // 日间模式
            'menuItem:nightMode', // 夜间模式
            'menuItem:readMode' // 阅读模式
        ] // 要隐藏的菜单项，只能隐藏“传播类”和“保护类”按钮，所有menu项见附录3

        wx.ready(function () {
            // 分享到朋友圈
            // wx.updateTimelineShareData({
            //     title: `${shareCircle.title}:${shareCircle.desc}`, // 分享标题
            //     link: shareCircle.link, // 分享链接
            //     imgUrl: shareCircle.imgUrl != null ?
            //         shareCircle.imgUrl : "https://apissources.bamasoso.com/image/logo2.png", // 分享图标
            //     success: async () => {}
            // })
            // 分享给朋友
            wx.updateAppMessageShareData({
                title: 'E速报修', // 分享标题
                desc: '您身边的校园服务管家', // 分享描述
                link: 'http://repair.h5.zeruiedu.com/', // 分享链接
                imgUrl: `${localStorage.getItem('httpUrl')}/logo2.png`, // 分享图标
                success: async () => {
                    console.log('分享至朋友-成功')
                }
            })
            wx.hideMenuItems({
                menuList: hideMenuItems
            })
            wx.showMenuItems({
                menuList: ["menuItem:share:appMessage", "menuItem:share:timeline"] // 要显示的菜单项，所有menu项见附录3
            })
        })
    }
    const curParams = {
        // tel: this.tel
        url: window.location.href
    }
    myAxios.post(apiList.WX_JSSDK, curParams)
        .then(res => {
            successCall(res)
            Toast.clear()
        })
        .catch(() => {})
}

export {
    share
}
// todo 其它微信SDK方法
